package com.example;
import java.util.Scanner;

public class BasicII {

    public static void main(String[] args) {
        System.out.println("Hello world!");

        int [] ages;
        ages = new int[10];
        int [] numbers = {15, 36, 18, 24, 47, 59, 26};
        ages[2] = 15;
        ages[0] = 18;
        System.out.println(numbers[3]);

        /*
            You are making a program for a vending machine that provides drinks.
            The menu of the drinks is stored in an array called menu:
            String[] menu = {"Tea", "Espresso", "Americano", "Water", "Hot Chocolate"}; 
            JAVA
            Take the choice of the customer as an integer from input and output the corresponding menu item.
            Also, check for errors: in case the input is out of the range of the array, output "Invalid".
         */
        String[] menu = {"Tea", "Espresso", "Americano", "Water", "Hot Chocolate"}; 
        Scanner sc = new Scanner(System.in);
        System.out.print("Your chouse from the vending machine [0-4]: ");
        int choice = sc.nextInt();
        if (choice > 4 || choice < 0) {
            System.out.println("Invalid");
        }else{
            System.out.println(menu[choice]);
        }

        /*
        The given code declares an array that holds the monthly revenues for a company for a year.
        You need to calculate the average monthly revenue for the year.
        For that, calculate the sum of the revenue for all the months and divide it by the number of items in the array.
         */
        double[] revenue = {88750, 125430, 99700, 14500, 158000, 65000, 99000, 189000, 210000, 42000, 165800, 258900};
        double sum = 0;
        for (double d : revenue) {
            sum += d;
        }
        System.out.println(sum/revenue.length);

        //Multidimensional arrays    (row, col)
        int[ ][ ] sample = { {1, 2, 3}, {4, 5, 6} };
        System.out.println(sample[0][2]);

        /*
            You are creating a ticketing program for a small movie theater.
            The seats are represented using a 2-dimensional array.
            Each item can have the values 1 and 0 - 1 is occupied, and 0 if it's free.
            Your program needs to take as input the row and the column of the seat and output Free if it's free, and Sold if it's not.
         */
        int[][] seats = {
            {0, 0, 0, 1, 1, 1, 0, 0, 1, 1},
            {1, 1, 0, 1, 0, 1, 1, 0, 0, 0},
            {1, 1, 1, 1, 1, 1, 1, 1, 1, 1},
            {0, 0, 0, 1, 1, 1, 1, 0, 0, 0},
            {0, 1, 1, 1, 0, 0, 0, 1, 1, 1}
            };
        System.out.print("The row you want: ");
        int row = sc.nextInt();
        System.out.print("The column you want: ");
        int col = sc.nextInt();

        if (seats[row][col] > 0) {
            System.out.println("Sold");
        }else{
            System.out.println("Free");
        }

        Welcome();

        /*
            You are making an automated response program for a store.
            The bot should take a number from the user as input and reply with an automated message.
            There are currently 3 responses, that you need to a handle:
            User message: "1", Reply: "Order confirmed"
            User message: "2", Reply: "info@sololearn.com"
            For any other number, the reply should be: "Try again".
            The given code calls a method called bot(). Define the method, which should take an integer input from the user, and handle the above mentioned cases, by outputting the corresponding reply.
            Do not change the method call in main().
         */
        bot();


        /*
            You need to make a method that converts a foot value to inches.
            1 foot has 12 inches. 
            Define a convert() method, that takes the foot value as its argument and outputs the inches value.
            The result must be a double.
         */
        double num = sc.nextDouble(); 
        convert(num);

        /*
            You are making a Celsius to Fahrenheit converter. 
            Write a method to take the Celsius value as an argument and return the corresponding Fahrenheit value.
            Sample Input
            36
            Sample Output
            96.8
            The given code takes the celsius value as input and passes it to a fahr() method, which you need to create.
         */
        double c = sc.nextDouble(); 
        System.out.println(fahr(c));
        
    }

    static double fahr(double cels){
        return 1.8*cels+32;
    }

    static void convert(double nm){
        System.out.println(nm*12);
    }

    static void Welcome(){
        System.out.println("Welcome!!");
    }

    static void bot(){
        Scanner sc = new Scanner(System.in);
        int num = sc.nextInt();

        switch (num) {
            case 1:
                System.out.println("Order confirmed");
                break;
            case 2:
                System.out.println("info@sololearn.com");
                break;
            default:
                System.out.println("Try again");
                break;
        }
    }
}